Subject: Re: [PATCH] [POWERPC] 4xx: Add endpoint support to 4xx PCIe driver

From: Benjamin Herrenschmidt <[email-masked]>
Date: Fri, 11 Apr 2008 07:58:48 +1000

On Thu, 2008-04-10 at 15:37 +0200, Stefan Roese wrote:
> 
> Now I have to re-check to see what you really have in mind. Do you think about 
> creating two different PCIe nodes, one for root-complex and one for endpoint 
> functionality? Or is your idea to add a property to the existing PCIe 
> device-tree node (like "mode = endpoint"), or perhaps change the device_type 
> from "pci" to "pci-endpoint"? I would vote for the latter.

Make the name and type of the node different. The rest can mostly stay
the same.

Cheers,
Ben.